#hero-image {
    object-position: 50% 50%;
}

picture:has(#hero-image)::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(to bottom, rgba(0, 0, 0, .20) 10%, rgba(0, 0, 0, .0))
}

#hero-title {
    top: 128px;
    width: 50%;
}

#sectors {
    padding-top: 128px;
    gap: 128px;
}

#sectors>div:nth-child(odd) {
    padding-left: 64px;
}

#sectors>div:nth-child(even) {
    padding-right: 64px;
}

#sectors picture,
#sectors>div>img,
#environment picture,
#environment>div>img {
    display: block;
    max-width: 40%;
}

#sectors picture>img,
#environment picture>img {
    width: 100%;
    height: 100%;
}

#sectors>div,
#environment>div {
    gap: 64px;
}

.gradient-circle {
    height: 20vh;
    width: 20vh;
}

#construction-circle {
    top: 0;
    right: 0;
    transform: translate(50%, -50%);
}

#industries-circle {
    top: 0;
    left: 0;
    transform: translate(-50%, -50%);
}

#ports {
    position: relative;
}

#ports>picture {
    top: 0;
    left: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    max-width: unset;
    z-index: -1;
}

#ports-info {
    float: right;
    width: 50%;
    padding: 128px 0;
}

#ports img {
    object-position: 60% 0%;
}

#environment {
    padding: 128px 0;
    gap: 128px;
}

#environment>div:nth-child(even) {
    padding-left: 64px;
}

#environment>div:nth-child(odd) {
    padding-right: 64px;
}

#cities, #villes {
    position: relative;
    aspect-ratio: 2 / 1;
    width: 100%;
    height: auto;
}

#cities>picture, #villes>picture {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}

#cities>picture>img, #villes>picture>img {
    height: 100%;
    width: 100%;
}

#cities>div img, #villes>div img {
    filter: drop-shadow(var(--shadow) 0 7px 4px);
}

#cities-features {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 16px
}

.urban-icon {
    width: 128px;
    height: 128px;
}

@media only screen and (max-width: 1300px) {
    #hero-title {
        box-sizing: content-box;
    }

    .checklist {
        padding-left: 0;
    }

    #sectors>div,
    #environment>div {
        gap: 32px;
    }

    #sectors picture,
    #sectors>div>img,
    #environment picture,
    #environment>div>img {
        width: auto;
    }

    #environment>div:nth-child(even) {
        padding-left: 32px;
    }

    #environment>div:nth-child(odd) {
        padding-right: 32px;
    }

    #sectors>div:nth-child(even) {
        padding-right: 32px;
    }

    #sectors>div:nth-child(odd) {
        padding-left: 32px;
    }
}

@media only screen and (max-width: 920px) {
    #hero-title {
        width: auto;
    }

    #sectors>div:nth-child(odd),
    #sectors>div:nth-child(even),
    #environment>div:nth-child(odd),
    #environment>div:nth-child(even) {
        padding: 0 24px;
    }

    #sectors>.row>.column,
    #environment>.row>.column {
        gap: 8px;
    }

    #ports-info {
        width: auto;
    }

    #ports::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: -1;
        background-color: rgba(0, 0, 0, .30);
    }

    .gradient-circle {
        display: none !important;
    }

    .urban-icon {
        width: 96px;
        height: 96px;
    }

    #cities-features {
        grid-template-columns: 1fr;
    }

    #sectors picture,
    #sectors>div>img,
    #environment picture,
    #environment>div>img {
        max-width: 100%;
    }

    #sectors>.row,
    #environment>.row {
        flex-direction: column;
    }

    #environment>div:nth-child(even),
    #sectors>div:nth-child(odd) {
        flex-direction:  column-reverse;
    }

    #sectors,
    #environment {
        padding-top: 64px;
        gap: 64px;
    }

    #environment {
        padding-bottom: 64px;
    }
}

@media only screen and (max-width: 480px) {
    #hero-image {
        object-position: 2.5% 50%;
    }

    #ports-info {
        padding-top: 64px;
        padding-bottom: 64px;
    }
}
